using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;

namespace ZooContracts.StoragesContracts
{
    public interface ICostStorage
    {
        List<CostViewModel> GetFullList();
        List<CostViewModel> GetFilteredList(CostSearchModel model);
        CostViewModel GetElement(CostSearchModel model);
        CostViewModel? Insert(CostBindingModel model);
        CostViewModel? Update(CostBindingModel model);
        CostViewModel? Delete(CostBindingModel model);
    }
}
